namespace Wishlist.Data.Entities;

public struct PriceInfo
{
    public double Price { get; set; }
    public CurrencyInfo CurrencyInfo { get; set; }

    public PriceInfo()
    {
        Price = 0;
        CurrencyInfo = new CurrencyInfo();
    }

    public PriceInfo(double price)
    {
        Price = price;
        CurrencyInfo = new CurrencyInfo();
    }
    public PriceInfo(double price, CurrencyInfo currencyInfo)
    {
        Price = price;
        CurrencyInfo = currencyInfo;
    }
}